package com.bonus.material.devConfig.service;

import com.bonus.material.devConfig.domain.EquipmentProperty;
import com.bonus.material.devConfig.domain.EquipmentPropertyDTO;

import java.util.List;

public interface EquipmentPropertyService {
    List<EquipmentProperty> list();

    EquipmentProperty getById(Long id);

    List<EquipmentProperty> getByTypeId(Long typeId);

    List<EquipmentProperty> getByType(Long typeId);

    void add(EquipmentProperty equipmentProperty);

    void update(EquipmentProperty equipmentProperty);

    void delete(Long id);

    List<EquipmentPropertyDTO> getTypeWithProperties(Long typeId);

    List<EquipmentPropertyDTO> getAllTypesWithProperties();

    EquipmentPropertyDTO getTypeDetailWithProperties(Long typeId);

    List<EquipmentProperty> getNameByTypeId(Long typeId);
}
